Bug 1039274 - qt5-quickcontrols should be multi arch in x86_64 builds
Summary: qt5-quickcontrols should be multi arch in x86_64 builds
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtquickcontrols
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-07 12:56 UTC by Hedayat Vatankhah
Modified: 2014-09-23 17:20 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 17:20:46 UTC


Attachments (Terms of Use)

Description Hedayat Vatankhah 2013-12-07 12:56:31 UTC
Description of problem:
I wanted to install a 32bit qt5 development environment on Fedora 19 x86_64. I needed qt5-qtquickcontrols for the project too, but its 32bit version doesn't exist in the repo. IMHO, this package should be treated like libraries and both i686 and x86_64 packages should exist.

Comment 1 Kevin Kofler 2013-12-07 20:09:48 UTC
I guess it would have to be put on the multilib whitelist.

Now why again is the QML stuff not installing below /usr/share rather than /usr/lib? This should be noarch content, it shouldn't have to be multilibbed at all.

Comment 2 Hedayat Vatankhah 2013-12-08 07:47:22 UTC
I'm not sure, but it probably comes with a number of .so files too since some QML files have native dependencies.

Comment 3 Rex Dieter 2013-12-08 13:42:51 UTC
discussed on irc a bit this morning, looks like a tentative plan is to add the glob:
/usr/lib*/qt*/qml/*
to multilib'ing (like /usr/lib*/qt*/plugins/* is treated currently)

Comment 4 Lubomir Rintel 2013-12-12 12:07:33 UTC
New mash was built, once it's in the composes should include the 32bit quickcontrols:

https://admin.fedoraproject.org/updates/mash-0.6.02-1.fc20

Comment 5 Rex Dieter 2013-12-12 13:21:09 UTC
thanks.

Comment 7 Rex Dieter 2014-09-23 17:20:46 UTC
Let's consider this fixed (please reopen if any related issues remain)


Note You need to log in before you can comment on or make changes to this bug.